#include "share.h"

#include <klocale.h>

#include <qlayout.h>
#include <qlineedit.h>
#include <qlabel.h>

Share::Share(QWidget *parent, const char *name)
: KDialogBase(Plain, i18n("Share"), Ok | Cancel, Ok, parent, name, true, true)
{
	QWidget *page = plainPage();
	QVBoxLayout *vbox;
	QLabel *lstream, *luri, *lspeed, *llocation, *ltype, *lstyle;

	lstream = new QLabel(i18n("Stream"), this);
	luri = new QLabel(i18n("URI"), this);
	lspeed = new QLabel(i18n("Speed"), this);
	llocation = new QLabel(i18n("Location"), this);
	ltype = new QLabel(i18n("Type"), this);
	lstyle = new QLabel(i18n("Style"), this);

	estream = new QLineEdit(this);
	euri = new QLineEdit(this);
	espeed = new QLineEdit(this);
	elocation = new QLineEdit(this);
	etype = new QLineEdit(this);
	estyle = new QLineEdit(this);

	vbox = new QVBoxLayout(page, marginHint(), spacingHint());
	vbox->add(lstream);
	vbox->add(estream);
	vbox->add(lstyle);
	vbox->add(estyle);
	vbox->add(llocation);
	vbox->add(elocation);
	vbox->add(lspeed);
	vbox->add(espeed);
	vbox->add(ltype);
	vbox->add(etype);
	vbox->add(luri);
	vbox->add(euri);
}

QString Share::value(QString param)
{
	if(param == "stream") return estream->text();
	else if(param == "uri") return euri->text();
	else if(param == "speed") return espeed->text();
	else if(param == "location") return elocation->text();
	else if(param == "type") return etype->text();
	else if(param == "style") return estyle->text();
	return QString::null;
}

