#include <kpushbutton.h>
#include <klocale.h>
#include <kstdguiitem.h>
#include <kapplication.h>
#include <kconfig.h>
#include <kdebug.h>

#include <qlabel.h>
#include <qlayout.h>
#include <qlistbox.h>

#include "view.h"

ViewDialog::ViewDialog( QWidget *parent, const char *name )
  : KDialogBase( Plain, i18n( "View metaservers" ), Ok | Cancel, Ok,
                 parent, name, true, true )
{
  QWidget *page = plainPage();

  QVBoxLayout *layout = new QVBoxLayout( page, marginHint(), spacingHint() );

  list = new QListBox(this);

  KPushButton *consider = new KPushButton( KGuiItem( i18n( "Consideration" ),
                                           "music_32ndnote" ), this );

  layout->add(list);
  layout->add(consider);

  connect(consider, SIGNAL(clicked()), SLOT(slotConsideration()));
}

void ViewDialog::add(QString uri)
{
	KConfig *config;
	int value;

	config = kapp->config();
	config->setGroup("meta");
	value = config->readNumEntry(uri);

	list->insertItem(uri);
	kdDebug() << "consideration is " << value << " for " << uri.latin1() << endl;
	kdDebug() << list->count() - 1 << endl;

	if(value) consideration(list->count() - 1, value);
}

void ViewDialog::slotConsideration()
{
	KConfig *config;
	int value;
	QString text;

	text = list->currentText();

	if(text.isEmpty()) return;
	if((text.startsWith("(")) && (text.endsWith(")")))
		text = text.mid(1, text.length() - 2);

	config = kapp->config();
	config->setGroup("meta");
	value = config->readNumEntry(text);
	value = !value;
	config->writeEntry(text, value);
	config->sync();

	consideration(list->currentItem(), value);
}

void ViewDialog::consideration(int index, int value)
{
	QString text = list->text(index);

	kdDebug() << "consider " << text.latin1() << " to change b/c " << value << endl;
	if(value) text = "(" + text + ")";
	else text = text.mid(1, text.length() - 2);
	list->changeItem(text, index);
}

